-オープンソースのSNSエンジン OpenPNEプロジェクト-

opDiaryPlugin 1.4.0.1 リリースのお知らせ

09 / 30 金曜日 2011

(2011/10/06 追記: 「注意事項」の節を追加しました。 opDiaryPlugin 1.4.0.1 を導入されていた方は必ずお読みください)

本日 2011/09/30(金)、OpenPNE3 用の日記プラグイン opDiaryPlugin のバージョン 1.4.0.1 をリリースしました。

OpenPNE 3.6 系向けの stable 版です。OpenPNE 3.4 系のバージョンでは opDiaryPlugin 1.2.x のバージョンを使ってください。

opDiaryPlugin 1.4.0.1 では「1.4.0 で追加されたマイグレートスクリプト (リビジョン番号 9) の実行に失敗することがある」という問題の修正を行なっています。opDiaryPlugin 1.4.0 でマイグレートに失敗する問題が発生している場合は 1.4.0.1 へバージョンアップを実施してマイグレートを行なってください。

変更点

v1.4.0.1 (v1.4.0 からの変更点)

http://redmine.openpne.jp/versions/show/228

  • Bug(バグ) #2439: 1.4.0 で追加されたマイグレートスクリプト (リビジョン番号 9) の実行に失敗することがある

アップデート手順

opDiaryPlugin のアップデートは、コマンドライン上から opPlugin:install タスクをバージョン指定で実行することにより行ないます。

$ php symfony opPlugin:install -r 1.4.0.1 opDiaryPlugin
$ php symfony openpne:migrate --target=opDiaryPlugin

以上でアップデートは完了です。

注意事項 (2011/10/06 追加)

このバージョンでは、前述のとおり、 opDiaryPlugin 1.4.0.1 で追加されたマイグレートスクリプトに不備があり、特定の条件下でマイグレートが失敗していた問題の修正をおこなっています。

opDiaryPlugin 1.4.0.1 へのマイグレートでエラーが発生した場合、この問題によって不完全なマイグレートがおこなわれた状態になっている可能性があります。その場合、 バックアップデータを用いて、diary_comment テーブルの構造をマイグレートをおこなう前に戻した上で、このバージョンで再度マイグレートを試みてください。

コメント:0

コメントフォーム
お名前やメールアドレスを記録しますか?

トラックバック:0

この記事のトラックバックURL
http://www.openpne.jp/archives/6485/trackback/

ページの先頭に戻る